Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: Release 9.2.0
    • Fix Version/s: Release 9.2.1
    • Component/s: Hyperloop
    • Labels:
      None
    • Environment:
    • Sprint:
      2020 Sprint 20

      Description

      Upgrading a classic App from 9.0.1 to 9.2.0. Using Hyperloop 6.0.1 with podfile as below and getting error:

      [INFO]  Creating assets image set
      [INFO]  Writing bootstrap json
      [INFO]  Writing i18n files
      [INFO]  Processing Titanium symbols
      [INFO]  Removing files
      [INFO]  Starting Hyperloop assembly
      [WARN]  Unable to detect framework umbrella header for ti.identity.
      [WARN]  Unable to detect framework umbrella header for hyperloop.
      2020-09-24T15:45:48.916Z | ERROR  | An uncaught exception was thrown!
      (buildSettings.LD_RUNPATH_SEARCH_PATHS || "").replace is not a function
      2020-09-24T15:45:48.916Z | ERROR  | (buildSettings.LD_RUNPATH_SEARCH_PATHS || "").replace is not a function
      Process exited with 1
      The terminal process terminated with exit code: 1.
      

      Podfile:

      install! 'cocoapods',
      :integrate_targets => false

      use_frameworks!

      platform :ios, '10.0'
      target 'Test' do
      pod 'FSCalendar'
      pod 'Stripe'
      pod 'EDHexColor'
      end

      Tried downgrading to Hyperloop 5.0.3 with same result. Reverting back to 9.0.1 builds fine.

        Attachments

          Activity

            People

            • Assignee:
              jvennemann Jan Vennemann
              Reporter:
              kaypro@gmail.com kaypro
              Reviewer:
              Christopher Williams
              Tester:
              Samir Mohammed
            • Watchers:
              10 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                  Git Integration